<?php
defined('BASEPATH') OR exit('No direct script access allowed');

if (!function_exists('tiene_permiso')) {
    function tiene_permiso($slug) {

        $CI =& get_instance(); // 👈 aquí está la forma correcta

        $rol_id = $CI->session->userdata('rol_id');

        if (!$rol_id) {
            return false;
        }

        $CI->db->select('p.slug');
        $CI->db->from('rol_permiso rp');
        $CI->db->join('permisos p', 'p.id = rp.permiso_id');
        $CI->db->where('rp.rol_id', $rol_id);
        $CI->db->where('p.slug', $slug);
        $CI->db->where('p.estado', 1);

        $query = $CI->db->get();

        return $query->num_rows() > 0;
    }
}